Package com.orchestranetworks.ui

# Class UICSSClasses.TABLE

java.lang.Object
com.orchestranetworks.ui.UICSSClasses.TABLE

Enclosing class:
  UICSSClasses

public static final class UICSSClasses.TABLE extends Object
For basic tables (`<table>`, `<tr>`, `<th>` and `<td>` containing data).

Attention: If a table is nested inside a basic table, the style will be inherited.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CELL_ALIGN_CENTER`
  Sets the content of the cell or child cells to be centered.
  `static final String`
  `CELL_ALIGN_RIGHT`
  Sets the content of the cell or child cells to be right-aligned.
  `static final String`
  `ESSENTIAL`
  The minimum to build a basic table.
  `static final String`
  `FULL_WIDTH`
  Defines a full-width table.
  `static final String`
  `UNBREAKABLE_SPACES`
  Sets the white spaces as unbreakable.
  `static final String`
  `VERT_ALIGN_TOP`
  Sets the vertical alignment of cell contents.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ESSENTIAL

    public static final String ESSENTIAL
    The minimum to build a basic table.

    To be used in a `<table>` element.

    See Also:
      - Constant Field Values

  - ### FULL_WIDTH

    public static final String FULL_WIDTH
    Defines a full-width table. The table will have the maximum width possible.

    To be used with a `<table>` element with the class `ESSENTIAL`.

    See Also:
      - Constant Field Values

  - ### VERT_ALIGN_TOP

    public static final String VERT_ALIGN_TOP
    Sets the vertical alignment of cell contents. Usually used for data with different heights (multi-line, images, buttons ...).

    To be used with a `<table>` element with the class `ESSENTIAL` class.

    See Also:
      - Constant Field Values

  - ### UNBREAKABLE_SPACES

    public static final String UNBREAKABLE_SPACES
    Sets the white spaces as unbreakable. No lines will be broken on white spaces.

    To be used with the elements `<table>`, `<tr>`, `<th>` and `<td>`.

    See Also:
      - Constant Field Values

  - ### CELL_ALIGN_RIGHT

    public static final String CELL_ALIGN_RIGHT
    Sets the content of the cell or child cells to be right-aligned.

    To be used with the elements `<table>`, `<tr>`, `<th>` and `<td>`.

    See Also:
      - Constant Field Values

  - ### CELL_ALIGN_CENTER

    public static final String CELL_ALIGN_CENTER
    Sets the content of the cell or child cells to be centered.

    To be use with the elements `<table>`, `<tr>`, `<th>` and `<td>`.

    See Also:
      - Constant Field Values